Package org.mozilla.javascript

## Class SymbolKey

- java.lang.Object
- - org.mozilla.javascript.SymbolKey

- All Implemented Interfaces:
    `java.io.Serializable`, `Symbol`

      public class SymbolKey
      extends java.lang.Object
      implements Symbol, java.io.Serializable

  A SymbolKey is one of the implementations of Symbol. It is really there so that we can easily use pre-defined symbols as keys in native code. A SymbolKey has the special property that two NativeSymbol objects with the same key are equal.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static SymbolKey` | `HAS_INSTANCE` |
    `static SymbolKey` | `IS_CONCAT_SPREADABLE` |
    `static SymbolKey` | `IS_REGEXP` |
    `static SymbolKey` | `ITERATOR` |
    `static SymbolKey` | `MATCH` |
    `static SymbolKey` | `REPLACE` |
    `static SymbolKey` | `SEARCH` |
    `static SymbolKey` | `SPECIES` |
    `static SymbolKey` | `SPLIT` |
    `static SymbolKey` | `TO_PRIMITIVE` |
    `static SymbolKey` | `TO_STRING_TAG` |
    `static SymbolKey` | `UNSCOPABLES` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SymbolKey​(java.lang.String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getName()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ITERATOR

          public static final SymbolKey ITERATOR

    - #### TO_STRING_TAG

          public static final SymbolKey TO_STRING_TAG

    - #### SPECIES

          public static final SymbolKey SPECIES

    - #### HAS_INSTANCE

          public static final SymbolKey HAS_INSTANCE

    - #### IS_CONCAT_SPREADABLE

          public static final SymbolKey IS_CONCAT_SPREADABLE

    - #### IS_REGEXP

          public static final SymbolKey IS_REGEXP

    - #### TO_PRIMITIVE

          public static final SymbolKey TO_PRIMITIVE

    - #### MATCH

          public static final SymbolKey MATCH

    - #### REPLACE

          public static final SymbolKey REPLACE

    - #### SEARCH

          public static final SymbolKey SEARCH

    - #### SPLIT

          public static final SymbolKey SPLIT

    - #### UNSCOPABLES

          public static final SymbolKey UNSCOPABLES

  - ### Constructor Detail

    - #### SymbolKey

          public SymbolKey​(java.lang.String name)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`